﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Configuration;

namespace LoadingConfigFromMultipleDependentSourcesCore21.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class ValuesController : ControllerBase
    {
        private readonly IConfiguration _configuration;
        public ValuesController(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        // GET api/values
        [HttpGet]
        public IActionResult Get()
        {
            return Ok($"someConfigItem = {_configuration["someConfigItem"]}\n" +
                      $"otherConfigService = {_configuration["otherConfigService"]}\n" +
                      $"SomeOtherConfigItem1 = {_configuration["SomeOtherConfigItem1"]}\n" +
                      $"SomeOtherConfigItem2 = {_configuration["SomeOtherConfigItem2"]}");
        }
    }
}
